'use strict';

var backendPluginApi = require('@backstage/backend-plugin-api');
var pluginEventsNode = require('@backstage/plugin-events-node');
var BitbucketServerEventRouter = require('../router/BitbucketServerEventRouter.cjs.js');

const eventsModuleBitbucketServerEventRouter = backendPluginApi.createBackendModule({
  pluginId: "events",
  moduleId: "bitbucket-server-event-router",
  register(env) {
    env.registerInit({
      deps: {
        events: pluginEventsNode.eventsServiceRef
      },
      async init({ events }) {
        const eventRouter = new BitbucketServerEventRouter.BitbucketServerEventRouter({
          events
        });
        await eventRouter.subscribe();
      }
    });
  }
});

exports.eventsModuleBitbucketServerEventRouter = eventsModuleBitbucketServerEventRouter;
//# sourceMappingURL=eventsModuleBitbucketServerEventRouter.cjs.js.map
